MyGUI 3.2.2

Public Member Functions
MyGUI::SubWidgetManager Class Reference

`#include <MyGUI_SubWidgetManager.h>`

Inheritance diagram for MyGUI::SubWidgetManager:
[legend]

## Public Member Functions
| SubWidgetManager ()
void | initialise ()
void | shutdown ()
const std::string & | getCategoryName () const
const std::string & | getStateCategoryName () const
Public Member Functions inherited from MyGUI::Singleton< SubWidgetManager >
| Singleton ()
virtual | ~Singleton ()

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< SubWidgetManager >
typedef Singleton< SubWidgetManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< SubWidgetManager >
static SubWidgetManager & | getInstance ()
static SubWidgetManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 16 of file MyGUI_SubWidgetManager.h.

## Constructor & Destructor Documentation

## ◆ SubWidgetManager()

MyGUI::SubWidgetManager::SubWidgetManager | ( |  | ) |

Definition at line 26 of file MyGUI_SubWidgetManager.cpp.

## Member Function Documentation

## ◆ getCategoryName()

const std::string & MyGUI::SubWidgetManager::getCategoryName | ( |  | ) | const

Definition at line 87 of file MyGUI_SubWidgetManager.cpp.

## ◆ getStateCategoryName()

const std::string & MyGUI::SubWidgetManager::getStateCategoryName | ( |  | ) | const

Definition at line 92 of file MyGUI_SubWidgetManager.cpp.

## ◆ initialise()

void MyGUI::SubWidgetManager::initialise | ( |  | ) |

Definition at line 33 of file MyGUI_SubWidgetManager.cpp.

## ◆ shutdown()

void MyGUI::SubWidgetManager::shutdown | ( |  | ) |

Definition at line 60 of file MyGUI_SubWidgetManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SubWidgetManager.h
- MyGUI_SubWidgetManager.cpp